<script setup>
import { UpdatePage } from '@/app/core/pages/crud';
import model from '@/modules/report/models/report';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new UpdatePage({
            context: this,
            title: this.__('Редактирование'),
            titleField: 'id',
            breadcrumbs: [
                {
                    label: this.__('Отчёты'),
                    path: 'report/report',
                },
            ],
            model: model,
            http: {
                method: 'PATCH',
                path: 'report/report/:id',
                query: {
                    'with[0]': 'creator',
                    'with[1]': 'shop',
                    'with[2]': 'products.product.brand',
                    'with[3]': 'products.product',
                    'with[4]': 'products.variation.options',
                    'with[5]': 'products.supplier',
                    'with[6]': 'brands.brand',
                },
            },
            redirectPath: 'report/report',
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons />
    </PageTitle>

    <Item child="form" />
</template>
